//+------------------------------------------------------------------+
//|                                                    MyCButton.mqh |
//|                              Copyright  2015, Vladimir Karputov |
//|                                           http://wmua.ru/slesar/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2015, Vladimir Karputov"
#property link      "http://wmua.ru/slesar/"
#property strict
#property version   "1.00"
#property description "Control on CButton."

#include <Controls\Button.mqh>
//+------------------------------------------------------------------+
//| Class CActiveButton                                              |
//|                              |
//+------------------------------------------------------------------+
class CActiveButton : public CButton
  {
protected:
   //---  
   virtual bool      OnActivate(void);
   virtual bool      OnDeactivate(void);
  };
//+------------------------------------------------------------------+
//| Handler of activating the group of controls                      |
//+------------------------------------------------------------------+
bool CActiveButton::OnActivate(void)
  {
   Comment("OnActivate");
   ColorBackground(clrDodgerBlue);
   Text("Activate");
   ChartRedraw();
//--- handled
   return(true);
  }
//+------------------------------------------------------------------+
//| Handler of deactivating the group of controls                    |
//+------------------------------------------------------------------+
bool CActiveButton::OnDeactivate(void)
  {
   Comment("OnDeactivate");
   ColorBackground(CONTROLS_BUTTON_COLOR_BG);
   Text("Deactivate");
   ChartRedraw();
//--- handled
   return(true);
  }
//+------------------------------------------------------------------+
